CVE-2009-0759

NameCVE-2009-0759
DescriptionMultiple CRLF injection vulnerabilities in webadmin in ZNC before 0.066 allow remote authenticated users to modify the znc.conf configuration file and gain privileges via CRLF sequences in the quit message and other vectors.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1735-1
NVD severitymedium
Debian Bugs516950

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
znc (PTS)stretch (security), stretch1.6.5-1+deb9u2fixed
buster1.7.2-3fixed
bookworm, sid, bullseye1.8.2-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
zncsourceetch0.045-3+etch2DSA-1735-1
zncsourcelenny0.058-2+lenny1DSA-1735-1
zncsource(unstable)0.066-1516950

Search for package or bug name: Reporting problems